@import "normalize.css";



/* --- FONTS --- */

@font-face { 
    font-family: "Ruda-Regular";
    src: url("Ruda-Regular.eot");
    src: url("../fonts/Ruda-Regular.eot?#iefix") format("embedded-opentype"),
        url("../fonts/Ruda-Regular.svg#Ruda-Regular") format("svg"),
        url("../fonts/Ruda-Regular.ttf") format("truetype"),
        url("../fonts/Ruda-Regular.woff") format("woff"),
        url("../fonts/Ruda-Regular.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
}

@font-face { 
    font-family: "Ruda-Black";
    src: url("../fonts/Ruda-Black.eot");
    src: url("../fonts/Ruda-Black.eot?#iefix") format("embedded-opentype"),
        url("../fonts/Ruda-Black.svg#Ruda-Black") format("svg"),
        url("../fonts/Ruda-Black.ttf") format("truetype"),
        url("../fonts/Ruda-Black.woff") format("woff"),
        url("../fonts/Ruda-Black.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
}


@font-face {
    font-family: 'arr';
    src: url('../fonts/arr.eot?69992435');
    src: url('../fonts/arr.eot?69992435#iefix') format('embedded-opentype'),
         url('../fonts/arr.woff?69992435') format('woff'),
         url('../fonts/arr.ttf?69992435') format('truetype'),
         url('../fonts/arr.svg?69992435#arr') format('svg');
    font-weight: normal;
    font-style: normal;
  }


/* --- GENERAL --- */

:root {
    --color-white: white;
    --color-whitesmoke: whitesmoke;
    --color-lightgrey: #cccccc;
    --color-black: black;
    --color-red: #d42740;
}

body {
    display: flex;
    flex-direction: column;
    font-family: "Ruda-Regular", Arial, Helvetica, sans-serif;
    background-color: var(--color-black);
}

#container {
    display: flex;
}

aside {
    background-color: var(--color-whitesmoke);
    padding: 20px;
    display: none;
}

h1, h2, h3 {
    font-family: "Ruda-Black", Arial, Helvetica, sans-serif;
    text-transform: uppercase;
    color: var(--color-whitesmoke);
}

p {
    font-size: 12px;
    color: var(--color-lightgrey);
    line-height: 1.7em; 
}



/* --- HEADER --- */

body > header {
    height: 24vh;
    min-height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;

    background-image: url("/assets/images/header-image.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
}

body > header::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.3);
}

header h1 {
    font-size: 40px;
    color: var(--color-whitesmoke);
    text-align: center;
    position: relative;
}



/* --- ASIDE --- */


aside  h3 {
    font-size: 24px;
    color: var(--color-red);
    margin: 0 0 20px 0;
    width: 300px;
}

aside article {
    margin: 0;
    padding: 0;
}

aside img {
    width: 50px;
    margin: 0 5px 0 0;
}

aside ul {
    background-color: var(--color-white);
    text-align: left;
    list-style:none;
    margin: 0;
    padding: 0;
}
aside p {
    color: var(--color-black);
    display: block;
    margin: 0 auto;
    width: 100%;
}
aside li {
    border-bottom: 2px solid var(--color-whitesmoke)
}
aside  li > article { 
    display: grid;
    grid-template-columns: 60px 1fr 50px;
}
aside button {
    background-color: var(--color-white);
    border: none;
    font-family: "arr";
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit;
    text-align: center;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    cursor: pointer;
}
aside button:hover {
    color: var(--color-red);
}

.buttonDeleteAll {
    font-family: "Ruda-Black", Arial, Helvetica, sans-serif;
    text-transform: uppercase;
    background-color: var(--color-red);
    color: var(--color-whitesmoke);
    text-transform: uppercase;
    border: 0;
    padding: 10px;
    width: 100%;
    cursor: pointer;
}
.buttonDeleteAll:hover {
    color: var(--color-red);
    background-color: var(--color-white);
}



/* --- MAIN --- */

main {
    padding: 20px;
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
}

main > article {
    display: flex;
    flex-direction: column;
    border: 1px solid var(--color-whitesmoke);
}

.txt-articles > h2 {
    font-size: 16px;
    margin: 0;
}

.txt-articles {
    padding: 15px;
}

.txt-articles > h3 {
    font-size: 24px;
    color: var(--color-red);
    margin: 0;
}

.description-hotel {
    margin: 0;
}

.image-hotel {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px;
}

article > footer { 
    margin-top: auto;
    padding-top: 10px;
}

.button-booknow {
    background-color: var(--color-red);
    color: var(--color-whitesmoke);
    text-transform: uppercase;
    border: 0;
    padding: 10px;
    width: 100%;
    cursor: pointer;
}

.button-booknow:hover {
    color: var(--color-red);
    background-color: var(--color-whitesmoke);
}

/* --- FOOTER --- */

body > footer {
    background-color: var(--color-red);
    color: var(--color-whitesmoke);
    padding: 5px;
    text-align: center;
}



/* --- MEDIA --- */

 @media (min-width: 400px) and (max-width: 800px) {
   
   
    main > article {
        display: grid;
        gap: 5px;
    }

    .image-hotel {
        align-items: flex-start;
        padding: 15px;
    }
     
    #container {
        display: flex;
        flex-direction: column-reverse;
    }
}

@media screen and (max-width: 320px) {

    header h1 {
        font-size: 32px;
    }

    main {
        padding: 20px;
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    }

    #container {
        display: flex;
        flex-direction: column-reverse;
    }
}

/* --- ANIMATIONS --- */

/* grid hotels FADE IN when entering the website */
#hotel-1 {
    animation: fadein 1s;
}

#hotel-2 {
    animation: fadein 2s;
}

#hotel-3 {
    animation: fadein 3s;
}

#hotel-4 {
    animation: fadein 4s;
}

#hotel-5 {
    animation: fadein 5s;
}

@keyframes fadein {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

/* text header TRANSLATE  when entering the website  */

header h1 {
    animation: 2.5s fadeDown 0s;
}

@keyframes fadeDown {
    from {
        opacity: 0;
        transform: translate3d(0, -50%, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

.animationAsideOut  {
    animation: 3s asideOut 0s;

}
@keyframes asideOut {
    from {
        opacity: 0;
        transform: translate3d(50%, 0, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

.animationAsideIn  {
    animation: 3s asideOut 0s;

}
@keyframes asideOut {
    from {
        opacity: 0;
        transform: translate3d(50%, 0, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}